Skip to content
Start here

Update Zaraz workflow

client.zaraz.update(ZarazUpdateParams { zone_id, workflow } params, RequestOptionsoptions?): Workflow
PUT/zones/{zone_id}/settings/zaraz/workflow

Updates Zaraz workflow for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zaraz EditZaraz Admin
ParametersExpand Collapse
params: ZarazUpdateParams { zone_id, workflow }
zone_id: string

Path param: Identifier.

maxLength32
workflow: Workflow

Body param: Zaraz workflow.

One of the following:
"realtime"
"preview"
ReturnsExpand Collapse
Workflow = "realtime" | "preview"

Zaraz workflow.

One of the following:
"realtime"
"preview"

Update Zaraz workflow

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const workflow = await client.zaraz.update({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
  workflow: 'realtime',
});

console.log(workflow);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": "realtime",
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": "realtime",
  "success": true
}